package cn.com.ty.lift.business.emergency.service;

import cn.com.ty.lift.business.emergency.dto.RepairRequest;
import cn.com.ty.lift.business.emergency.dto.RepairResponse;
import cn.com.ty.lift.business.emergency.entity.EmergencyRepair;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 临修记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
public interface EmergencyRepairService extends IService<EmergencyRepair> {

    IPage<RepairResponse> listByRepairing(RepairRequest request);

    IPage<RepairResponse> listByCondition(RepairRequest request);

    long countByCondition(RepairRequest request);

    RepairResponse selectByIdWithInfo(RepairRequest request);
}
