package cn.com.ty.lift.business.library.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 实体类 - 表：project_lift_relevance
 *
 * @since 2019-12-05 10:18:21
 */
@Data
public class ProjectLiftRelevance {

    /**
     * 主键ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 关联ID
     */
    private Long relevanceId;

    /**
     * 维保工id
     */
    private Long workerId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 是否锁定 0否 1是
     */
    private Byte isLiftLocked;

    /**
     * 是否删除 0否 1是
     */
    private Byte deleteFlag;
}