package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description
 */
public interface IUserInfoService extends IService<UserInfo> {

    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param userId 通过用户id获取用户信息
     * @return
     */
    UserInfo getByUserId(Long userId);

    /**
     * @description 更新用户信息
     * @date
     * @param userInfo 用户信息
     * @return
     */
    boolean updateUserInfo(UserInfo userInfo);
}
