package cn.com.ty.lift.business.maintenance.dao.entity.model;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/12/19
 * @description 维保计划列表返回体
 */
@Data
public class MaintenancePlanResponse {
    /**
     * 维保计划id
     */
    private Long id;
    /**
     * 电梯id
     */
    private Long liftId;
    /**
     * 计划保养时间
     */
    private String planDate;
    /**
     * 电梯注册代码
     */
    private String registrationCode;
    /**
     * 电梯位置
     */
    private String devicePosition;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 电梯状态
     */
    private String liftStatus;
    /**
     * 区域名称
     */
    private String regionName;
}
