package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.enterprise.common.RestResult;
import cn.com.ty.lift.enterprise.oa.entity.LiftCertificateHistory;
import cn.com.ty.lift.enterprise.oa.service.LiftCertificateHistoryService;
import cn.com.xwy.boot.web.dto.RestResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 操作证操作记录 前端控制器
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Slf4j
@RestController
@RequestMapping("/oa/liftCertificateHistory")
public class LiftCertificateHistoryController {
    @Autowired
    private LiftCertificateHistoryService liftCertificateHistoryService;

    /**
     * @param
     * @return
     * @description
     * @date 2019/11/27 10:11
     */
    @PostMapping("findOne")
    public RestResponse<LiftCertificateHistory> findOne(Long id) {
        LiftCertificateHistory entity = liftCertificateHistoryService.getById(id);
        if(null == entity){
            return RestResult.fail();
        }
        return RestResult.okData(entity);
    }

}
